Subject: Re: Random Surface Points Macro
From: shf (Stuart Ferguson)
To: [email-masked]
Date: Wed, 29 Jun 1994 18:55:52 -0700

I've noticed that LW AREXX requester interface will convert all numbers
	from meters to english feet (or v.v.) if you invoke a modeller macro
	while in english measure mode.  I noticed this when using the point
	cloud macro.  The number of points is converted from meters to feet, and
	you end up with fewer points than asked for.  Since it remembers the
	number, the next time you run it you'll see the number it thought it
	got.  It's pretty ugly - maybe it's how the macro sets up the requester,
	I suppose I should dig into it someday.

That is a bug in the macro.  The ARexx macro language makes a
clear distinction between requester fields which are distances
and those which are unitless.  The offending line in the macro
is:

	id_N = req_addcontrol("Number of Points", 'n', 1)

The final "1" should have been omitted.

	- Stuart